Index: trunk/NEMOGCM/NEMO/TOP_SRC/trcdia.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/trcdia.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/trcdia.F90	(revision 2528)
@@ -4,9 +4,9 @@
    !! TOP :   Output of passive tracers
    !!======================================================================
-   !! History :    -   !  1995-01 (M. Levy)  Original code
+   !! History :   OPA  !  1995-01 (M. Levy)  Original code
    !!              -   !  1998-01 (C. Levy) NETCDF format using ioipsl interface
    !!              -   !  1999-01 (M.A. Foujols) adapted for passive tracer
    !!              -   !  1999-09 (M.A. Foujols) split into three parts
-   !!             1.0  !  2005-03 (O. Aumont, A. El Moussaoui) F90
+   !!   NEMO      1.0  !  2005-03 (O. Aumont, A. El Moussaoui) F90
    !!                  !  2008-05 (C. Ethe re-organization)
    !!----------------------------------------------------------------------
@@ -17,5 +17,4 @@
    !! trc_dia     : main routine of output passive tracer
    !! trcdit_wr   : outputs of concentration fields
-   !! trcdid_wr   : outputs of dvection-diffusion trends
    !! trcdii_wr   : outputs of additional 2D/3D diagnostics
    !! trcdib_wr   : outputs of biological fields
@@ -24,7 +23,5 @@
    USE oce_trc
    USE trc
-   USE trp_trc
    USE par_trc
-   USE trdmld_trc_oce, ONLY : luttrd
    USE dianam    ! build name of file (routine)
    USE in_out_manager  ! I/O manager
@@ -35,5 +32,5 @@
    PRIVATE
 
-   PUBLIC trc_dia      
+   PUBLIC   trc_dia   ! called by XXX module 
 
    INTEGER  ::   nit5      !: id for tracer output file
@@ -45,15 +42,10 @@
    INTEGER , DIMENSION (jpij*jpk) ::   ndext50   !: integer arrays for ocean 3D index
    INTEGER , DIMENSION (jpij)     ::   ndext51   !: integer arrays for ocean surface index
-# if defined key_trc_diaadd
+# if defined key_diatrc
    INTEGER  ::   nitd      !: id for additional array output file
    INTEGER  ::   ndepitd   !: id for depth mesh
    INTEGER  ::   nhoritd   !: id for horizontal mesh
 # endif
-# if defined key_trc_diatrd
-   INTEGER , DIMENSION (jptra) ::   nit6      !: id for additional array output file
-   INTEGER , DIMENSION (jptra) ::   ndepit6   !: id for depth mesh
-   INTEGER , DIMENSION (jptra) ::   nhorit6   !: id for horizontal mesh
-# endif
-# if defined key_trc_diabio
+# if defined key_diabio
    INTEGER  ::   nitb        !:         id.         for additional array output file
    INTEGER  ::   ndepitb   !:  id for depth mesh
@@ -64,9 +56,8 @@
 #  include "top_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
@@ -80,12 +71,11 @@
       INTEGER               :: kindic
       !!---------------------------------------------------------------------
-      
+      !
       CALL trcdit_wr( kt, kindic )      ! outputs for tracer concentration
-      CALL trcdid_wr( kt, kindic )      ! outputs for dynamical trends
       CALL trcdii_wr( kt, kindic )      ! outputs for additional arrays
       CALL trcdib_wr( kt, kindic )      ! outputs for biological trends
-
       !
    END SUBROUTINE trc_dia
+
 
    SUBROUTINE trcdit_wr( kt, kindic )
@@ -111,11 +101,9 @@
       LOGICAL ::   ll_print = .FALSE.
       CHARACTER (len=40) :: clhstnam, clop
-#if defined key_off_tra
       INTEGER ::   inum = 11             ! temporary logical unit
-#endif
       CHARACTER (len=20) :: cltra, cltrau
       CHARACTER (len=80) :: cltral
       REAL(wp) :: zsto, zout, zdt
-      INTEGER  :: iimi, iima, ijmi, ijma, ipk, it, itmod
+      INTEGER  :: iimi, iima, ijmi, ijma, ipk, it, itmod, iiter
       !!----------------------------------------------------------------------
 
@@ -133,5 +121,5 @@
       ENDIF
 # if defined key_diainstant
-      zsto = nwritetrc * rdt
+      zsto = nn_writetrc * rdt
       clop = "inst("//TRIM(clop)//")"
 # else
@@ -139,5 +127,5 @@
       clop = "ave("//TRIM(clop)//")"
 # endif
-      zout = nwritetrc * zdt
+      zout = nn_writetrc * zdt
 
       ! Define indices of the horizontal output zoom and vertical limit storage
@@ -147,6 +135,7 @@
 
       ! define time axis
-      itmod = kt - nittrc000 + 1
+      itmod = kt - nit000 + 1
       it    = kt
+      iiter = ( nit000 - 1 ) / nn_dttrc
 
       ! Define NETCDF files and fields at beginning of first time step
@@ -155,5 +144,5 @@
       IF(ll_print)WRITE(numout,*)'trcdit_wr kt=',kt,' kindic ',kindic
       
-      IF( kt == nittrc000 ) THEN
+      IF( kt == nit000 ) THEN
 
          ! Compute julian date from starting date of the run
@@ -161,5 +150,5 @@
          zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
          IF(lwp)WRITE(numout,*)' '  
-         IF(lwp)WRITE(numout,*)' Date 0 used :', nittrc000                         &
+         IF(lwp)WRITE(numout,*)' Date 0 used :', nit000                         &
             &                 ,' YEAR ', nyear, ' MONTH ', nmonth, ' DAY ', nday   &
             &                 ,'Julian day : ', zjulian  
@@ -168,16 +157,13 @@
             &                    ' limit storage in depth = ', ipk
 
-#if defined key_off_tra
-        ! WRITE root name in date.file for use by postpro
-         IF(lwp) THEN
-            CALL dia_nam( clhstnam, nwritetrc,' ' )
+         IF( lk_offline .AND. lwp ) THEN
+            CALL dia_nam( clhstnam, nn_writetrc,' ' )
             CALL ctl_opn( inum, 'date.file', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', 1, numout, lwp, narea )
             WRITE(inum,*) clhstnam
             CLOSE(inum)
          ENDIF
-#endif
 
          ! Define the NETCDF files for passive tracer concentration
-         CALL dia_nam( clhstnam, nwritetrc, 'ptrc_T' )
+         CALL dia_nam( clhstnam, nn_writetrc, 'ptrc_T' )
          IF(lwp)WRITE(numout,*)" Name of NETCDF file ", clhstnam
 
@@ -185,5 +171,5 @@
          CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,     &
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,         & 
-            &          nittrc000-ndttrc, zjulian, zdt, nhorit5, nit5 , domain_id=nidom)
+            &          iiter, zjulian, zdt, nhorit5, nit5 , domain_id=nidom, snc4chunks=snc4set)
 
          ! Vertical grid for tracer : gdept
@@ -206,5 +192,5 @@
 
          ! end netcdf files header
-         CALL histend( nit5 )
+         CALL histend( nit5, snc4set )
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) 'End of NetCDF Initialization in trcdit_wr'
@@ -216,5 +202,5 @@
       ! ---------------------------------------
 
-      IF( lwp .AND. MOD( itmod, nwritetrc ) == 0 ) THEN
+      IF( lwp .AND. MOD( itmod, nn_writetrc ) == 0 ) THEN
          WRITE(numout,*) 'trcdit_wr : write NetCDF passive tracer concentrations at ', kt, 'time-step'
          WRITE(numout,*) '~~~~~~~~~ '
@@ -233,235 +219,5 @@
    END SUBROUTINE trcdit_wr
 
-# if defined key_trc_diatrd
-
-   SUBROUTINE trcdid_wr( kt, kindic )
-      !!----------------------------------------------------------------------
-      !!                     ***  ROUTINE trcdid_wr  ***
-      !!
-      !! ** Purpose :   output of passive tracer : advection-diffusion trends
-      !!
-      !! ** Method  :   At the beginning of the first time step (nit000), define all
-      !!             the NETCDF files and fields for concentration of passive tracer
-      !!
-      !!        At each time step call histdef to compute the mean if necessary
-      !!        Each nwritetrd time step, output the instantaneous or mean fields
-      !!
-      !!        IF kindic <0, output of fields before the model interruption.
-      !!        IF kindic =0, time step loop
-      !!        IF kindic >0, output of fields before the time step loop
-      !!----------------------------------------------------------------------
-      INTEGER, INTENT( in ) ::   kt          ! ocean time-step
-      INTEGER, INTENT( in ) ::   kindic      ! indicator of abnormal termination
-      !!
-      LOGICAL ::   ll_print = .FALSE.
-      CHARACTER (len=40) ::   clhstnam, clop
-      CHARACTER (len=20) ::   cltra, cltrau
-      CHARACTER (len=80) ::   cltral
-      CHARACTER (len=10) ::   csuff
-      INTEGER  ::   jn, jl, ikn
-      INTEGER  ::   iimi, iima, ijmi, ijma, ipk, it, itmod
-      REAL(wp) ::   zsto, zout, zdt
-      !!----------------------------------------------------------------------
-
-      ! 0. Initialisation
-      ! -----------------
-      
-
-      ! local variable for debugging
-      ll_print = .FALSE.
-      ll_print = ll_print .AND. lwp
-      !
-      ! Define frequency of output and means
-      zdt = rdt
-      IF( ln_mskland )   THEN   ;   clop = "only(x)"   ! put 1.e+20 on land (very expensive!!)
-      ELSE                      ;   clop = "x"         ! no use of the mask value (require less cpu time)
-      ENDIF
-#  if defined key_diainstant
-      zsto = nwritetrd * rdt
-      clop = "inst("//TRIM(clop)//")"
-#  else
-      zsto = zdt
-      clop = "ave("//TRIM(clop)//")"
-#  endif
-      zout = nwritetrd * zdt
-
-      ! Define indices of the horizontal output zoom and vertical limit storage
-      iimi = 1      ;      iima = jpi
-      ijmi = 1      ;      ijma = jpj
-      ipk = jpk
-
-      ! define time axis
-      itmod = kt - nittrc000 + 1
-      it    = kt
-
-      ! Define the NETCDF files (one per tracer)
-      IF( ll_print ) WRITE(numout,*) 'trcdid kt=', kt, ' kindic ', kindic
-      
-      
-      IF( kt == nittrc000 ) THEN
-
-         DO jn = 1, jptra
-            !
-            IF( luttrd(jn) ) THEN      ! Define the file for dynamical trends - one per each tracer IF required
-
-               IF(lwp)WRITE(numout,*) ' indexes of zoom = ', iimi, iima, ijmi, ijma,  &
-                   &                   ' limit storage in depth = ', ipk
-               csuff='DY_'//ctrcnm(jn)
-               CALL dia_nam( clhstnam, nwritetrd, csuff )
-               IF(lwp)WRITE(numout,*)   " Name of NETCDF file for dynamical trends",   &
-                  &                     " of tracer number : ",clhstnam
-
-               CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,       &
-                  &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,   &
-                  &          nittrc000-ndttrc, zjulian, zdt, nhorit6(jn),  &
-                  &          nit6(jn) , domain_id=nidom )
-
-               ! Vertical grid for tracer trend - one per each tracer IF needed
-               CALL histvert( nit6(jn), 'deptht', 'Vertical T levels', 'm', ipk, gdept_0, ndepit6(jn) ) 
-             END IF
-          END DO
-
-          ! Declare all the output fields as NETCDF variables
-          DO jn = 1, jptra
-            IF( luttrd(jn) ) THEN
-                DO jl = 1, jpdiatrc
-                  IF( jl == jptrc_xad ) THEN
-                      ! short and long title for x advection for tracer
-                      WRITE (cltra,'("XAD_",16a)') ctrcnm(jn)
-                      WRITE (cltral,'("X advective trend for ",58a)') ctrcnl(jn)(1:58)
-                  END IF
-                  IF( jl == jptrc_yad ) THEN
-                      ! short and long title for y advection for tracer
-                      WRITE (cltra,'("YAD_",16a)') ctrcnm(jn)
-                      WRITE (cltral,'("Y advective trend for ",58a)') ctrcnl(jn)(1:58)
-                  END IF
-                  IF( jl == jptrc_zad ) THEN
-                      ! short and long title for Z advection for tracer
-                      WRITE (cltra,'("ZAD_",16a)') ctrcnm(jn)
-                      WRITE (cltral,'("Z advective trend for ",58a)') ctrcnl(jn)(1:58)
-                  END IF
-                  IF( jl == jptrc_xdf ) THEN
-                      ! short and long title for X diffusion for tracer
-                      WRITE (cltra,'("XDF_",16a)') ctrcnm(jn)
-                      WRITE (cltral,'("X diffusion trend for ",58a)') ctrcnl(jn)(1:58)
-                  END IF
-                  IF( jl == jptrc_ydf ) THEN
-                      ! short and long title for Y diffusion for tracer
-                      WRITE (cltra,'("YDF_",16a)') ctrcnm(jn)
-                      WRITE (cltral,'("Y diffusion trend for ",58a)') ctrcnl(jn)(1:58)
-                  END IF
-                  IF( jl == jptrc_zdf ) THEN
-                      ! short and long title for Z diffusion for tracer
-                      WRITE (cltra,'("ZDF_",16a)') ctrcnm(jn)
-                      WRITE (cltral,'("Z diffusion trend for ",58a)') ctrcnl(jn)(1:58)
-                  END IF
-# if defined key_trcldf_eiv
-                  IF( jl == jptrc_xei ) THEN
-                      ! short and long title for x gent velocity for tracer
-                      WRITE (cltra,'("XGV_",16a)') ctrcnm(jn)
-                      WRITE (cltral,'("X gent velocity trend for ",53a)') ctrcnl(jn)(1:53)
-                  END IF
-                  IF( jl == jptrc_yei ) THEN
-                      ! short and long title for y gent velocity for tracer
-                      WRITE (cltra,'("YGV_",16a)') ctrcnm(jn)
-                      WRITE (cltral,'("Y gent velocity trend for ",53a)') ctrcnl(jn)(1:53)
-                  END IF
-                  IF( jl == jptrc_zei ) THEN
-                      ! short and long title for Z gent velocity for tracer
-                      WRITE (cltra,'("ZGV_",16a)') ctrcnm(jn)
-                      WRITE (cltral,'("Z gent velocity trend for ",53a)') ctrcnl(jn)(1:53)
-                  END IF
-# endif
-# if defined key_trcdmp
-                  IF( jl == jptrc_dmp ) THEN
-                      ! last trends for tracer damping : short and long title
-                      WRITE (cltra,'("TDM_",16a)') ctrcnm(jn)
-                      WRITE (cltral,'("Tracer damping trend for ",55a)') ctrcnl(jn)(1:55)
-                  END IF
-# endif
-                  IF( jl == jptrc_sbc ) THEN
-                      ! last trends for tracer damping : short and long title
-                      WRITE (cltra,'("SBC_",16a)') ctrcnm(jn)
-                      WRITE (cltral,'("Surface boundary flux ",58a)') ctrcnl(jn)(1:55)
-                  END IF
-                      WRITE (cltral,'("Surface boundary flux ",58a)') ctrcnl(jn)(1:55)
-                  END IF
-                  CALL FLUSH( numout )
-                  cltrau = ctrcun(jn)      ! UNIT for tracer /trends
-                  CALL histdef( nit6(jn), cltra, cltral, cltrau, jpi,jpj,  &
-                     &          nhorit6(jn), ipk, 1, ipk,  ndepit6(jn), 32, clop ,  &
-                     &          zsto,zout )
-               END DO
-            END IF
-         END DO
-         ! CLOSE netcdf Files
-          DO jn = 1, jptra
-             IF( luttrd(jn) )   CALL histend( nit6(jn) )
-          END DO
-
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'End of NetCDF Initialization in trcdid'
-         IF(ll_print) CALL FLUSH(numout )
-         !
-      ENDIF
-
-      ! SOME diagnostics to DO first time
-
-      ! Start writing data
-      ! ---------------------
-
-      ! trends for tracer concentrations
-
-      IF( lwp .AND. MOD( itmod, nwritetrd ) == 0 ) THEN
-         WRITE(numout,*) 'trcdid_wr : write NetCDF dynamical trends at ', kt, 'time-step'
-         WRITE(numout,*) '~~~~~~ '
-      ENDIF
-
-      DO jn = 1, jptra
-         IF( luttrd(jn) ) THEN
-            ikn = ikeep(jn) 
-            DO jl = 1, jpdiatrc
-               ! short titles
-               IF( jl == jptrc_xad)   WRITE (cltra,'("XAD_",16a)') ctrcnm(jn)
-               IF( jl == jptrc_yad)   WRITE (cltra,'("YAD_",16a)') ctrcnm(jn)
-               IF( jl == jptrc_zad)   WRITE (cltra,'("ZAD_",16a)') ctrcnm(jn)
-               IF( jl == jptrc_xdf)   WRITE (cltra,'("XDF_",16a)') ctrcnm(jn)
-               IF( jl == jptrc_ydf)   WRITE (cltra,'("YDF_",16a)') ctrcnm(jn)
-               IF( jl == jptrc_zdf)   WRITE (cltra,'("ZDF_",16a)') ctrcnm(jn)
-# if defined key_trcldf_eiv
-               IF( jl == jptrc_xei)   WRITE (cltra,'("XGV_",16a)') ctrcnm(jn)
-               IF( jl == jptrc_yei)   WRITE (cltra,'("YGV_",16a)') ctrcnm(jn)
-               IF( jl == jptrc_zei)   WRITE (cltra,'("ZGV_",16a)') ctrcnm(jn)
-# endif
-# if defined key_trcdmp
-               IF( jl == jptrc_dmp )  WRITE (cltra,'("TDM_",16a)') ctrcnm(jn)
-# endif
-               IF( jl == jptrc_sbc )  WRITE (cltra,'("SBC_",16a)') ctrcnm(jn)
-               !
-               CALL histwrite(nit6(jn), cltra, it, trtrd(:,:,:,ikn,jl),ndimt50, ndext50)
-            END DO
-         END IF
-      END DO
-
-      ! Closing all files
-      ! -----------------
-      IF( kt == nitend .OR. kindic < 0 ) THEN
-         DO jn = 1, jptra
-            IF( luttrd(jn) )   CALL histclo( nit6(jn) )
-         END DO
-      ENDIF
-      !
-
-   END SUBROUTINE trcdid_wr
-
-# else
-
-   SUBROUTINE trcdid_wr( kt, kindic )                      ! Dummy routine
-      INTEGER, INTENT ( in ) ::   kt, kindic
-   END SUBROUTINE trcdid_wr
-
-# endif
-
-#if defined key_trc_diaadd
+#if defined key_diatrc
 
    SUBROUTINE trcdii_wr( kt, kindic )
@@ -489,5 +245,5 @@
       CHARACTER (len=80) ::   cltral
       INTEGER  ::   jl
-      INTEGER  ::   iimi, iima, ijmi, ijma, ipk, it, itmod
+      INTEGER  ::   iimi, iima, ijmi, ijma, ipk, it, itmod, iiter
       REAL(wp) ::   zsto, zout, zdt
       !!----------------------------------------------------------------------
@@ -506,5 +262,5 @@
       ENDIF
 #  if defined key_diainstant
-      zsto = nwritedia * zdt
+      zsto = nn_writedia * zdt
       clop = "inst("//TRIM(clop)//")"
 #  else
@@ -512,5 +268,5 @@
       clop = "ave("//TRIM(clop)//")"
 #  endif
-      zout = nwritedia * zdt
+      zout = nn_writedia * zdt
 
       ! Define indices of the horizontal output zoom and vertical limit storage
@@ -520,6 +276,7 @@
 
       ! define time axis
-      itmod = kt - nittrc000 + 1
+      itmod = kt - nit000 + 1
       it    = kt
+      iiter = ( nit000 - 1 ) / nn_dttrc
 
       ! 1. Define NETCDF files and fields at beginning of first time step
@@ -528,5 +285,5 @@
       IF( ll_print ) WRITE(numout,*) 'trcdii_wr kt=', kt, ' kindic ', kindic
 
-      IF( kt == nittrc000 ) THEN
+      IF( kt == nit000 ) THEN
 
          ! Define the NETCDF files for additional arrays : 2D or 3D
@@ -534,5 +291,5 @@
          ! Define the T grid file for tracer auxiliary files
 
-         CALL dia_nam( clhstnam, nwritedia, 'diad_T' )
+         CALL dia_nam( clhstnam, nn_writedia, 'diad_T' )
          IF(lwp) WRITE(numout,*) " Name of NETCDF file ", clhstnam
 
@@ -541,5 +298,5 @@
          CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,             &
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,         &
-            &          nittrc000-ndttrc, zjulian, zdt, nhoritd, nitd , domain_id=nidom )
+            &          iiter, zjulian, zdt, nhoritd, nitd , domain_id=nidom, snc4chunks=snc4set )
 
          ! Vertical grid for 2d and 3d arrays
@@ -570,5 +327,5 @@
 
          ! CLOSE netcdf Files
-         CALL histend( nitd )
+         CALL histend( nitd, snc4set )
 
          IF(lwp) WRITE(numout,*)
@@ -581,5 +338,5 @@
       ! ---------------------
 
-      IF( lwp .AND. MOD( itmod, nwritedia ) == 0 ) THEN
+      IF( lwp .AND. MOD( itmod, nn_writedia ) == 0 ) THEN
          WRITE(numout,*) 'trcdii_wr : write NetCDF additional arrays at ', kt, 'time-step'
          WRITE(numout,*) '~~~~~~ '
@@ -606,12 +363,10 @@
 
 # else
-
    SUBROUTINE trcdii_wr( kt, kindic )                      ! Dummy routine
       INTEGER, INTENT ( in ) :: kt, kindic
    END SUBROUTINE trcdii_wr
-
 # endif
 
-# if defined key_trc_diabio
+# if defined key_diabio
 
    SUBROUTINE trcdib_wr( kt, kindic )
@@ -631,5 +386,4 @@
       !!        IF kindic >0, output of fields before the time step loop
       !!----------------------------------------------------------------------
-      !!
       INTEGER, INTENT( in ) ::   kt          ! ocean time-step
       INTEGER, INTENT( in ) ::   kindic      ! indicator of abnormal termination
@@ -640,5 +394,5 @@
       CHARACTER (len=80) ::   cltral
       INTEGER  ::   ji, jj, jk, jl
-      INTEGER  ::   iimi, iima, ijmi, ijma, ipk, it, itmod
+      INTEGER  ::   iimi, iima, ijmi, ijma, ipk, it, itmod, iiter
       REAL(wp) ::   zsto, zout, zdt
       !!----------------------------------------------------------------------
@@ -658,5 +412,5 @@
       ENDIF
 #        if defined key_diainstant
-      zsto = nwritebio * zdt
+      zsto = nn_writebio * zdt
       clop = "inst("//TRIM(clop)//")"
 #        else
@@ -664,5 +418,5 @@
       clop = "ave("//TRIM(clop)//")"
 #        endif
-      zout = nwritebio * zdt
+      zout = nn_writebio * zdt
 
       ! Define indices of the horizontal output zoom and vertical limit storage
@@ -672,6 +426,7 @@
 
       ! define time axis
-      itmod = kt - nittrc000 + 1
+      itmod = kt - nit000 + 1
       it    = kt
+      iiter = ( nit000 - 1 ) / nn_dttrc
 
       ! Define NETCDF files and fields at beginning of first time step
@@ -680,14 +435,14 @@
       IF(ll_print) WRITE(numout,*)'trcdib_wr kt=',kt,' kindic ',kindic
 
-      IF( kt == nittrc000 ) THEN
+      IF( kt == nit000 ) THEN
 
          ! Define the NETCDF files for biological trends
 
-         CALL dia_nam(clhstnam,nwritebio,'biolog')
+         CALL dia_nam(clhstnam,nn_writebio,'biolog')
          IF(lwp)WRITE(numout,*) " Name of NETCDF file for biological trends ", clhstnam
          ! Horizontal grid : glamt and gphit
          CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,      &
             &    iimi, iima-iimi+1, ijmi, ijma-ijmi+1,          &
-            &    nittrc000-ndttrc, zjulian, zdt, nhoritb, nitb , domain_id=nidom )
+            &    iiter, zjulian, zdt, nhoritb, nitb , domain_id=nidom, snc4chunks=snc4set )
          ! Vertical grid for biological trends
          CALL histvert(nitb, 'deptht', 'Vertical T levels', 'm', ipk, gdept_0, ndepitb)
@@ -704,5 +459,5 @@
 
          ! CLOSE netcdf Files
-          CALL histend( nitb )
+          CALL histend( nitb, snc4set )
 
          IF(lwp) WRITE(numout,*)
@@ -716,5 +471,5 @@
 
       ! biological trends
-      IF( lwp .AND. MOD( itmod, nwritebio ) == 0 ) THEN
+      IF( lwp .AND. MOD( itmod, nn_writebio ) == 0 ) THEN
          WRITE(numout,*) 'trcdit_wr : write NetCDF biological trends at ', kt, 'time-step'
          WRITE(numout,*) '~~~~~~ '
@@ -749,5 +504,4 @@
       INTEGER, INTENT(in) :: kt
    END SUBROUTINE trc_dia   
-
 #endif
 
Index: trunk/NEMOGCM/NEMO/TOP_SRC/trcdta.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 2528)
@@ -36,15 +36,10 @@
 #  include "top_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
-   !!----------------------------------------------------------------------
-   !!   Default case                                            NetCDF file
-   !!----------------------------------------------------------------------
-   
    SUBROUTINE trc_dta( kt )
       !!----------------------------------------------------------------------
@@ -63,9 +58,10 @@
       !!
       CHARACTER (len=39) ::   clname(jptra)
-      INTEGER, PARAMETER ::   &
-         jpmonth = 12    ! number of months
+      INTEGER, PARAMETER ::   jpmonth = 12    ! number of months
       INTEGER ::   ji, jj, jn, jl 
       INTEGER ::   imois, iman, i15, ik  ! temporary integers 
       REAL(wp) ::   zxy, zl
+!!gm HERE the daymod should be used instead of computation of month and co !!
+!!gm      better in case of real calandar and leap-years !
       !!----------------------------------------------------------------------
 
@@ -74,5 +70,5 @@
          IF( lutini(jn) ) THEN 
 
-            IF ( kt == nittrc000 ) THEN
+            IF ( kt == nit000 ) THEN
                !! 3D tracer data
                IF(lwp)WRITE(numout,*)
@@ -92,5 +88,5 @@
             ! --------------------
 
-            IF ( kt == nittrc000 .AND. nlectr(jn) == 0 ) THEN
+            IF ( kt == nit000 .AND. nlectr(jn) == 0 ) THEN
                ntrc1(jn) = 0
                IF(lwp) WRITE(numout,*) ' trc_dta : Levitus tracer data monthly fields'
@@ -107,5 +103,5 @@
 # if defined key_pisces
             ! Read montly file
-            IF( ( kt == nittrc000 .AND. nlectr(jn) == 0)  .OR. imois /= ntrc1(jn) ) THEN
+            IF( ( kt == nit000 .AND. nlectr(jn) == 0)  .OR. imois /= ntrc1(jn) ) THEN
                nlectr(jn) = 1
 
@@ -142,5 +138,5 @@
                      DO jj = 1, jpj                ! interpolation of temperature at the last level
                         DO ji = 1, jpi
-                           ik = mbathy(ji,jj) - 1
+                           ik = mbkt(ji,jj)
                            IF( ik > 2 ) THEN
                               zl = ( gdept_0(ik) - fsdept_0(ji,jj,ik) ) / ( gdept_0(ik) - gdept_0(ik-1) )
@@ -189,5 +185,5 @@
 # else
             ! Read init file only
-            IF( kt == nittrc000  ) THEN
+            IF( kt == nit000  ) THEN
                ntrc1(jn) = 1
                CALL iom_get ( numtr(jn), jpdom_data, ctrcnm(jn), trdta(:,:,:,jn), ntrc1(jn) )
@@ -196,5 +192,4 @@
             ENDIF 
 # endif
-
          ENDIF
 
